Package ghidra.app.plugin.processors.generic

# Class Operand

java.lang.Object
ghidra.app.plugin.processors.generic.Operand

All Implemented Interfaces:
  `Serializable`

public class Operand extends Object implements Serializable

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Operand(String n, OperandValue o, Offset off)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `dynamic()`
  `void`
  `getAllHandles(ArrayList<Handle> handles, Position position, int off)`
  `Handle`
  `getHandle()`
  Returns previously computed handle for this operand.
  `Handle`
  `getHandle(Position position, int off)`
  Returns a handle for this operand *without* generating any pcode
  `Handle`
  `getHandle(ArrayList<PcodeOp> pcode, Position position, int off)`
  Method getHandle.
  `ConstructorInfo`
  `getInfo(MemBuffer buf, int off)`
  `PcodeOp[]`
  `getPcode(Position position)`
  Method getPcode
  `int`
  `getSize()`
  `int`
  `length(MemBuffer buf, int off)`
  `void`
  `linkRelativeOffsets(Hashtable<String,Operand> opHash)`
  `String`
  `name()`
  `void`
  `toList(ArrayList<Handle> list, Position position, int off)`
  `String`
  `toString(MemBuffer buf, int off)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Operand

    public Operand(String n, OperandValue o, Offset off)

- ## Method Details

  - ### toString

    public String toString(MemBuffer buf, int off) throws Exception
    Throws:
      `Exception`

  - ### length

    public int length(MemBuffer buf, int off) throws Exception
    Throws:
      `Exception`

  - ### getInfo

    public ConstructorInfo getInfo(MemBuffer buf, int off) throws Exception
    Throws:
      `Exception`

  - ### name

    public String name()

  - ### linkRelativeOffsets

    public void linkRelativeOffsets(Hashtable<String,Operand> opHash)

  - ### getHandle

    public Handle getHandle(ArrayList<PcodeOp> pcode, Position position, int off) throws Exception
    Method getHandle.
    Parameters:
      `pcode` -
      `position` -
      `off` -
    Returns:
      Handle
    Throws:
      `Exception`

  - ### getHandle

    public Handle getHandle()
    Returns previously computed handle for this operand. Should not be called before the full version of getHandle, where Position and and offset are specified.
    Returns:
      Handle

  - ### getHandle

    public Handle getHandle(Position position, int off) throws Exception
    Returns a handle for this operand *without* generating any pcode
    Parameters:
      `position` -
      `off` -
    Returns:
    Throws:
      `Exception`

  - ### getAllHandles

    public void getAllHandles(ArrayList<Handle> handles, Position position, int off) throws Exception
    Throws:
      `Exception`

  - ### getPcode

    public PcodeOp[] getPcode(Position position) throws Exception
    Method getPcode
    Parameters:
      `position` -
    Returns:
      array of pcode ops for this operand
    Throws:
      `Exception`

  - ### dynamic

    public boolean dynamic()

  - ### toList

    public void toList(ArrayList<Handle> list, Position position, int off) throws Exception
    Throws:
      `Exception`
    See Also:
      - `OperandValue.toList(ArrayList, Position, int)`

  - ### getSize

    public int getSize()
    Returns: